(function ($) {
    'use strict';

    $(document).ready(function () {

        $('.cbcurrencyconverter_cal_wrapper').each(function (index, element) {

            //hide the result window first
            $(element).find('.cbcurrencyconverter_result').hide();

            /*$(element).find(".cbcurrencyconverter_cal_from").chosen({
                disable_search_threshold: 5,
                width                   : "99%"
            });*/

            $(element).find('.cbcurrencyconverter_cal_from').select2({
                placeholder: cbcurrencyconverter.please_select,
                allowClear: false,
                theme: 'default select2-container--cbxcc'
            });

            /*$(element).find(".cbcurrencyconverter_cal_to").chosen({
                disable_search_threshold: 5,
                width                   : "99%"

            });*/

            $(element).find('.cbcurrencyconverter_cal_to').select2({
                placeholder: cbcurrencyconverter.please_select,
                allowClear: false,
                theme: 'default select2-container--cbxcc'
            });

            $(element).on('click', '.cbcurrencyconverter_calculate', function (e) {
                e.preventDefault();


                var $this        = $(this);
                //var $parent      = $this.closest('.cbcurrencyconverter_cal_wrapper');
                var button_ref   = $this.attr('data-ref');
                var button_busy  = Number($this.attr('data-busy'));
                var decimalpoint = $this.attr('data-decimalpoint');


                var data = {};

                data.nonce   = cbcurrencyconverter.nonce;
                data.decimal = decimalpoint;
                data.ref     = button_ref;

                data.cbcurconvert_error = '';

                data.cbcurconvert_amount = $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_cal_amount').val();
                data.cbcurconvert_from   = $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_cal_from').val();
                data.cbcurconvert_to     = $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_cal_to').val();


                // validation check
                if (data.cbcurconvert_to === '') {
                    data.cbcurconvert_error = cbcurrencyconverter.empty_selection;
                }

                if (data.cbcurconvert_from === '') {
                    data.cbcurconvert_error = cbcurrencyconverter.empty_selection;
                }

                if (data.cbcurconvert_error === '' && (data.cbcurconvert_to === data.cbcurconvert_from)) {
                    data.cbcurconvert_error = cbcurrencyconverter.same_selection;
                }


                if (data.cbcurconvert_error === '' && button_busy === 0) {

                    $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_result').html('');
                    $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_result').hide();

                    $this.data('busy', '1');
                    $this.addClass('cbcurrencyconverter_active');
                    $this.attr('disabled', true);

                    $.ajax({
                        type: 'post',
                        dataType: 'json',
                        url: cbcurrencyconverter.ajaxurl,
                        data: {action: 'currrency_convert', cbcurrencyconverter_data: data},
                        success: function (result, textStatus, XMLHttpRequest) {

                            $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_result').show();

                            $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_result').html(data.cbcurconvert_amount + ' ' + data.cbcurconvert_from + ' = ' + result + ' ' + data.cbcurconvert_to);

                            $this.data('busy', '0');
                            $this.removeClass('cbcurrencyconverter_active');
                            $this.attr('disabled', false);
                        }
                    });// end of ajax
                }// end of if error msg null
                else {

                    $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_result').show();
                    $this.closest('.cbcurrencyconverter_cal_wrapper').find('.cbcurrencyconverter_result').html(data.cbcurconvert_error);
                }
            });
        });
    });// end of function

}(jQuery));