(function ($) {
    'use strict';

    $(document).ready(function ($) {


        //reset Reset all data show/hide button click
        $('#cbcurrencyconverter_info_trig').on('click', function (e) {
            e.preventDefault();

            $('#cbcurrencyconverter_resetinfo').toggle();
        });

        //choosen color

        $('.selecttwo-select').select2({
            placeholder: wpcbcurrencyconverter.please_select,
            allowClear: false
        });

        //Initiate Color Picker
        $('.wp-color-picker-field').wpColorPicker();

        // Switches option sections
        //$('.global_setting_group').hide();
        var activetab = '';
        if (typeof (localStorage) !== 'undefined') {
            activetab = localStorage.getItem('cbcurrencyconverter');
        }

        //if url has section id as hash then set it as active or override the current local storage value
        if (window.location.hash) {
            if ($(window.location.hash).hasClass('global_setting_group')) {
                activetab = window.location.hash;

                if (typeof (localStorage) !== 'undefined') {
                    localStorage.setItem('cbcurrencyconverter', activetab);
                }
            }
        }


        if (activetab !== '' && $(activetab).length && $(activetab).hasClass('global_setting_group')) {
            $('.global_setting_group').hide();
            $(activetab).fadeIn();
        }


        if (activetab !== '' && $(activetab + '-tab').length) {
            $('.nav-tab-wrapper a.nav-tab').removeClass('nav-tab-active');
            $(activetab + '-tab').addClass('nav-tab-active');

            $('.nav-tab-wrapper li.nav-parent-active').removeClass('nav-parent-active');
            $(activetab + '-tab').closest('li').addClass('nav-parent-active');
        }


        //on click on setting tabs
        $('.nav-tab-wrapper a').on('click', function (e) {
            e.preventDefault();

            var $this = $(this);

            $('.nav-tab-wrapper a.nav-tab').removeClass('nav-tab-active');
            $this.addClass('nav-tab-active').blur();

            $('.nav-tab-wrapper li.nav-parent-active').removeClass('nav-parent-active');
            $this.closest('li').addClass('nav-parent-active');
            
            var clicked_group = $(this).attr('href');

            if (typeof (localStorage) !== 'undefined') {
                localStorage.setItem('cbcurrencyconverter', $(this).attr('href'));
            }
            $('.global_setting_group').hide();
            $(clicked_group).fadeIn();
        });

        //file picker field
        $('.wpsa-browse').on('click', function (event) {
            event.preventDefault();

            var self = $(this);

            // Create the media frame.
            var file_frame = wp.media.frames.file_frame = wp.media({
                title: wpcbcurrencyconverter.upload_title,
                button: {
                    text: wpcbcurrencyconverter.upload_btn
                },
                multiple: false
            });

            file_frame.on('select', function () {
                var attachment = file_frame.state().get('selection').first().toJSON();

                self.prev('.wpsa-url').val(attachment.url);
            });

            // Finally, open the modal
            file_frame.open();
        });

        //make the subheading single row
        $('.setting_heading').each(function (index, element) {
            var $element = $(element);
            var $element_parent = $element.parent('td');
            $element_parent.attr('colspan', 2);
            $element_parent.prev('th').remove();
            $element_parent.parent('tr').removeAttr('class');
            $element_parent.parent('tr').addClass('global_setting_heading_section');
        });


        $('.setting_subheading').each(function (index, element) {
            var $element = $(element);
            var $element_parent = $element.parent('td');
            $element_parent.attr('colspan', 2);
            $element_parent.prev('th').remove();
            $element_parent.parent('tr').removeAttr('class');
            $element_parent.parent('tr').addClass('global_setting_subheading_section');
        });

        //field groups show/hide based on main heading
        $('.global_setting_group').each(function (index, element) {
            var $element = $(element);
            var $form_table = $element.find('.form-table');
            $form_table.prev('h2').remove();

            var $i = 0;
            $form_table.find('tr').each(function (index2, element){
                var $tr = $(element);

                if(!$tr.hasClass('global_setting_heading_section')){
                    $tr.addClass('global_setting_common_section');
                    $tr.addClass('global_setting_common_section_'+$i);
                }
                else{
                    $i++;
                    $tr.addClass('global_setting_heading_section_'+$i);
                    $tr.attr('data-counter',  $i);
                    $tr.attr('data-is-closed',  0);
                }

            });

            $form_table.on('click', 'a.setting_heading_toggle', function (evt){
                evt.preventDefault();

                var $this 		= $(this);
                var $parent 	= $this.closest('.global_setting_heading_section');
                var $counter 	= Number($parent.data('counter'));
                var $is_closed 	= Number($parent.data('is-closed'));

                if($is_closed === 0){
                    $parent.data('is-closed', 1);
                    $parent.addClass('global_setting_heading_section_closed');
                    $('.global_setting_common_section_'+$counter).hide();
                }
                else{
                    $parent.data('is-closed', 0);
                    $parent.removeClass('global_setting_heading_section_closed');
                    $('.global_setting_common_section_'+$counter).show();
                }
            });
        });

        //checkbox restyle
        $('.global_setting_group').on('click', '.checkbox', function () {
            var mainParent = $(this).closest('.checkbox-toggle-btn');
            if ($(mainParent).find('input.checkbox').is(':checked')) {
                $(mainParent).addClass('active');
            } else {
                $(mainParent).removeClass('active');
            }
        });

        //one click save setting for the current tab
        $('#save_settings').on('click', function (e) {
            e.preventDefault();

            var $current_tab = $('.nav-tab.nav-tab-active');
            var $tab_id      = $current_tab.data('tabid');

            $('#' + $tab_id).find('.submit_cbcurrencyconverter').trigger('click');
        });

        //copy shortcode
        $('.shortcode_demo_btn').on('click', function (event) {
            event.preventDefault();

            var $this      = $(this);
            var $target    = $this.data('target-cp');
            var $copy_area = $($target);

            $copy_area.focus();
            $copy_area.select();

            try {
                var successful = document.execCommand('copy');
                if (successful) {
                    $this.text(wpcbcurrencyconverter.copy_success);
                    $this.addClass('copy_success');
                } else {
                    $this.text(wpcbcurrencyconverter.copy_fail);
                    $this.addClass('copy_fail');
                }
            } catch (err) {
                $this.text(wpcbcurrencyconverter.copy_fail);
                $this.addClass('copy_fail');
            }

        });//end copy shortcode

        // add tab functionality for custom rates
        $('.custom-currency-link').on('click', function (e) {
            e.preventDefault();

            var currency = $(this).data("currency");
            var related_content = '.custom_rates_content_' + currency;

            $('#custom_rates_ul li').removeClass('active');
            $(this).parent('li').addClass('active');
            $('.custom_rates_content').hide().removeClass('active')
            $(related_content).show().addClass('active')
        });


        /*$('div.widgets-sortables')
            .on('sortstop', function (event, ui) {
                // only if this widget has the proper identifier...do something
                if (ui.item.find('.selecttwo-select').length == 0)
                    return;




                var item_parent_id = ui.item.closest('.widget').attr('id');


                ui.item.find('.selecttwo-select').select2({
                    dropdownParent: $('#'+item_parent_id),
                    placeholder: wpcbcurrencyconverter.please_select,
                    allowClear: false
                });
            });*/


    });

})(jQuery);